Get During Actions for an Instance Transition

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API retrieves the During Actions configured for a specific transition in a workflow instance.

Endpoints

OAuth Scope

WorkDrive.workflowinstances.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/api/v1/workflowinstances/{instance_id}/workflowactions?filter%5Btransition_id%5D={transition_id}' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

instance_idstring(Required)

The unique ID of the workflow instance.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[transition_id]string(Required)

The transition ID for which the During actions must be retrieved.

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003082",
        "type": "workflowactions",
        "attributes": {
          "action_type": "CREATE_OR_UPDATE_CUSTOM_META_DATA",
          "module": "FILE",
          "action_id_str": "7321386000000003082",
          "details": {
            "custom_meta_details": {
              "data_template_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003011",
              "custom_data": [
                {
                  "custom_field_id": "sfftb8bae590ea97a4c8ba521f751b64452ca-NzMyMTM4NjAwMDAwMDAwMzAxMS03MzIxMzg2MDAwMDAwMDAzMDE2",
                  "display_name": "Note from the Author",
                  "type": "multiline_text",
                  "field_properties": {
                    "description": "",
                    "is_mandatory": true,
                    "is_searchable": true
                  }
                }
              ],
              "name": "Automation_Review"
            }
          },
          "category": 5
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/workflowactions/sfftb8bae590ea97a4c8ba521f751b64452ca-7321386000000003082"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full